RFC223
RFC223 · Business
4 public student ratings, updated Oct 2026 · no written reviews yet
Planning Spring 2027? Save classes to your plan.
From 4 public student ratings
Ratings are mixed. It's demanding.
No written reviews yet. Yours would be the first.
Took RFC223? How hard was it?
1 is easy, 5 is hard. Anonymous, no account.
Difficulty
What we know
- Ratings across the web
- 2.0 out of 5 stars2.0from 4 ratings
- Department
- Business
Written reviews
No written reviews of RFC223 yet
Took it? Add yours when you have a couple of minutes. Anonymous, no account, no email.
Professors who have taught RFC223
- Mary Savona
- Michael Reade
Questions students ask
Classes next to RFC223
RFC courses at Seneca with the closest numbers
- RFC1213.8 out of 5 stars3.8· difficulty 49/100· 9 ratings
- RFC1222.8 out of 5 stars2.8· difficulty 70/100· 4 ratings
- RFC1245.0 out of 5 stars5.0· difficulty 40/100· 3 ratings
- RFC1254.0 out of 5 stars4.0· difficulty 63/100· 7 ratings
- RFC2215.0 out of 5 stars5.0· difficulty 40/100· 3 ratings
- RFC223This class
- RFC4045.0 out of 5 stars5.0· difficulty 47/100· 3 ratings